Debian Bug report logs - #587967
gnash: unbuildable in sid, depends on removed boost1.40

version graph

Package: gnash; Maintainer for gnash is Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>; Source for gnash is src:gnash.

Reported by: Julien Cristau <jcristau@debian.org>

Date: Sat, 3 Jul 2010 11:30:01 UTC

Severity: serious

Tags: patch

Found in version gnash/0.8.7-2

Fixed in version gnash/0.8.7-3

Done: Miriam Ruiz <little_miry@yahoo.es>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Sat, 03 Jul 2010 11:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Sat, 03 Jul 2010 11:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnash: unbuildable in sid, depends on removed boost1.40
Date: Sat, 3 Jul 2010 12:28:25 +0100
[Message part 1 (text/plain, inline)]
Package: gnash
Version: 0.8.7-2
Severity: serious

gnash in sid and testing build-depends on boost 1.40, which has been
removed from the archive.  Please update your build dependencies.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Sun, 04 Jul 2010 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Sun, 04 Jul 2010 13:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 587967@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 587967@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: gnash: unbuildable in sid, depends on removed boost1.40
Date: Sun, 4 Jul 2010 22:35:48 +0900
[Message part 1 (text/plain, inline)]
Hi,

 As attached patch, it seems to be easy to fix. I can build it on
 i386 pbuilder.

 Please update it to solve RC bug, thanks.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane
[gnash.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sun, 04 Jul 2010 13:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Thu, 08 Jul 2010 17:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Thu, 08 Jul 2010 17:03:09 GMT) Full text and rfc822 format available.

Message #17 received at 587967@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>, 587967@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Thu, 8 Jul 2010 18:01:56 +0200
[Message part 1 (text/plain, inline)]
* Hideki Yamane <henrich@debian.or.jp>, 2010-07-04, 22:35:
>+ ibboost-date-time1.42-dev | libboost-date-time1.40-dev | libboost-date-time1.39-dev | 

I see a typo here.

BTW, those alternative build-dependencies are insane, we should get rid 
of them, rather than add new ones.

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Tue, 13 Jul 2010 03:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Tue, 13 Jul 2010 03:54:03 GMT) Full text and rfc822 format available.

Message #22 received at 587967@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 587967@bugs.debian.org
Subject: gnash: unbuildable in sid, depends on removed boost1.40
Date: Mon, 12 Jul 2010 20:50:44 -0700
the unversioned packages all depend on the corresponding versioned package, so
it seems best to leave the versioned packages out of build-depends entirely:

diff -u gnash-0.8.7/debian/control gnash-0.8.7/debian/control
--- gnash-0.8.7/debian/control
+++ gnash-0.8.7/debian/control
@@ -7,12 +7,10 @@
  libltdl3-dev, libxmu-dev, dejagnu, autotools-dev, 
  libjpeg-dev, libpng12-dev | libpng-dev, libgif-dev, libagg-dev, libpango1.0-dev | pango-dev,
  libcurl4-gnutls-dev | libcurl3-gnutls-dev | libcurl4-openssl-dev | libcurl3-openssl-dev,
- libboost1.40-dev | libboost1.39-dev | libboost1.38.0-dev | libboost1.37-dev | libboost1.36-dev |
- libboost1.35-dev | libboost1.34.1-dev | libboost-dev, libboost-thread1.40-dev | libboost-thread1.39-dev |
- libboost-thread1.38.0-dev | libboost-thread1.37-dev | libboost-thread1.36-dev | libboost-thread1.35-dev |
- libboost-thread1.34.1-dev | libboost-thread-dev, libboost-date-time1.40-dev | libboost-date-time1.39-dev |
- libboost-date-time1.38.0-dev | libboost-date-time1.37-dev | libboost-date-time1.36-dev |
- libboost-date-time1.35-dev | libboost-date-time1.34.1-dev | libboost-date-time-dev, libgtk2.0-dev,
+ libboost-dev, 
+ libboost-thread-dev, 
+ libboost-date-time-dev, 
+ libgtk2.0-dev,
  libpango1.0-dev, libatk1.0-dev, python-dev | python2.6-dev | python2.5-dev | python2.4-dev, kdelibs5-dev,
  libgtkglext1-dev, python-gtk2-dev, libavcodec-dev, libavformat-dev, libswscale-dev, libspeex-dev,
  libgl1-mesa-dev, libsdl1.2-dev, libqt4-opengl-dev, qt4-qmake,


were the versioned package names added for a specific reason? possibly to make
backporting easier?

i'm not so sure this is really RC... the unversioned package names were
included as the last alternative for all the versioned package names, so the
build-deps should be satisfyable, unless there's something i'm missing about
build-dep resolution on the buildd's.


live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#587967; Package gnash. (Tue, 13 Jul 2010 07:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. (Tue, 13 Jul 2010 07:42:05 GMT) Full text and rfc822 format available.

Message #27 received at 587967@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: 587967@bugs.debian.org, Vagrant Cascadian <vagrant@freegeek.org>
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Tue, 13 Jul 2010 07:38:24 +0000 (GMT)
Thanks,

I'll try to solve this ASAP. I've just been extremely busy this weeks -and still are- at work.

Greetings,
Miry









Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Sat, 17 Jul 2010 10:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Sat, 17 Jul 2010 10:42:05 GMT) Full text and rfc822 format available.

Message #32 received at 587967@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Vagrant Cascadian <vagrant@freegeek.org>, 587967@bugs.debian.org
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Sat, 17 Jul 2010 12:37:53 +0200
[Message part 1 (text/plain, inline)]
On Mon, 12 Jul 2010 20:50:44 -0700, Vagrant Cascadian wrote:

> diff -u gnash-0.8.7/debian/control gnash-0.8.7/debian/control
> --- gnash-0.8.7/debian/control
> +++ gnash-0.8.7/debian/control
> @@ -7,12 +7,10 @@
>   libltdl3-dev, libxmu-dev, dejagnu, autotools-dev, 
>   libjpeg-dev, libpng12-dev | libpng-dev, libgif-dev, libagg-dev, libpango1.0-dev | pango-dev,
>   libcurl4-gnutls-dev | libcurl3-gnutls-dev | libcurl4-openssl-dev | libcurl3-openssl-dev,
> - libboost1.40-dev | libboost1.39-dev | libboost1.38.0-dev | libboost1.37-dev | libboost1.36-dev |
> - libboost1.35-dev | libboost1.34.1-dev | libboost-dev, libboost-thread1.40-dev | libboost-thread1.39-dev |
> - libboost-thread1.38.0-dev | libboost-thread1.37-dev | libboost-thread1.36-dev | libboost-thread1.35-dev |
> - libboost-thread1.34.1-dev | libboost-thread-dev, libboost-date-time1.40-dev | libboost-date-time1.39-dev |
> - libboost-date-time1.38.0-dev | libboost-date-time1.37-dev | libboost-date-time1.36-dev |
> - libboost-date-time1.35-dev | libboost-date-time1.34.1-dev | libboost-date-time-dev, libgtk2.0-dev,
> + libboost-dev, 
> + libboost-thread-dev, 
> + libboost-date-time-dev, 
> + libgtk2.0-dev,
>   libpango1.0-dev, libatk1.0-dev, python-dev | python2.6-dev | python2.5-dev | python2.4-dev, kdelibs5-dev,
>   libgtkglext1-dev, python-gtk2-dev, libavcodec-dev, libavformat-dev, libswscale-dev, libspeex-dev,
>   libgl1-mesa-dev, libsdl1.2-dev, libqt4-opengl-dev, qt4-qmake,

Looks like a good idea.
 
> were the versioned package names added for a specific reason? possibly to make
> backporting easier?

AFACIS libboost-dev, libboost-thread-dev, libboost-date-time-dev
exist in all stable/testing/unstable and cover the versions that are
listed separately above.
 
> i'm not so sure this is really RC... the unversioned package names were
> included as the last alternative for all the versioned package names, so the
> build-deps should be satisfyable, unless there's something i'm missing about
> build-dep resolution on the buildd's.

IIRC, sbuild in its default configuration only checks for the first
package in alternative build dependencies.

(There are also some other "fooNN-dev | foo-dev" build dependencies
in debian/control, but i haven't checked the versions now.)

Cheers,
gregor, trying to build this beast right now

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #393:  Interference from the Van Allen Belt. 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Sat, 17 Jul 2010 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Sat, 17 Jul 2010 13:09:04 GMT) Full text and rfc822 format available.

Message #37 received at 587967@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Vagrant Cascadian <vagrant@freegeek.org>, 587967@bugs.debian.org
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Sat, 17 Jul 2010 15:05:08 +0200
[Message part 1 (text/plain, inline)]
On Sat, 17 Jul 2010 12:37:53 +0200, gregor herrmann wrote:

> Cheers,
> gregor, trying to build this beast right now

Some hours later the build finished, and the results look reasonable
to me. I'm attaching the debdiff.

Miry, just shout if you want me to upload.

Cheers,
gregor 
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #187:  Reformatting Page. Wait... 
[587967.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Fri, 23 Jul 2010 18:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Fri, 23 Jul 2010 18:33:10 GMT) Full text and rfc822 format available.

Message #42 received at 587967@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: gregor herrmann <gregoa@debian.org>, 587967@bugs.debian.org
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Fri, 23 Jul 2010 19:30:21 +0100
On Sat, 2010-07-17 at 15:05 +0200, gregor herrmann wrote:
> On Sat, 17 Jul 2010 12:37:53 +0200, gregor herrmann wrote:
> 
> > Cheers,
> > gregor, trying to build this beast right now
> 
> Some hours later the build finished, and the results look reasonable
> to me. I'm attaching the debdiff.
> 
> Miry, just shout if you want me to upload.

It turns out that boost1.40 removal from testing is required in order to
finish the icu migration, as boost1.40 depends on libicu42 and we can't
binNMU it in unstable as it no longer exists there.

I've binNMUed gnash on amd64 to check whether it will actually build by
virtue of the libboost-dev final fallback build-dep.  Even if that
works, we may end up with a choice of temporarily breaking gnash in
testing or removing it if icu is otherwise ready to go and gnash isn't,
or at least isn't on all architectures.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Sat, 24 Jul 2010 14:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Sat, 24 Jul 2010 14:21:10 GMT) Full text and rfc822 format available.

Message #47 received at 587967@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 587967@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Sat, 24 Jul 2010 15:20:38 +0100
On Fri, 2010-07-23 at 19:30 +0100, Adam D. Barratt wrote:
> On Sat, 2010-07-17 at 15:05 +0200, gregor herrmann wrote:
> > On Sat, 17 Jul 2010 12:37:53 +0200, gregor herrmann wrote:
> > 
> > > Cheers,
> > > gregor, trying to build this beast right now
> > 
> > Some hours later the build finished, and the results look reasonable
> > to me. I'm attaching the debdiff.
> > 
> > Miry, just shout if you want me to upload.
> 
> It turns out that boost1.40 removal from testing is required in order to
> finish the icu migration, as boost1.40 depends on libicu42 and we can't
> binNMU it in unstable as it no longer exists there.
> 
> I've binNMUed gnash on amd64 to check whether it will actually build by
> virtue of the libboost-dev final fallback build-dep.  Even if that
> works,

It didn't, as sbuild just tried to install libboost1.40-dev anyway...

> we may end up with a choice of temporarily breaking gnash in
> testing or removing it if icu is otherwise ready to go and gnash isn't,
> or at least isn't on all architectures.

...so we're back at needing a new upload, breaking gnash in testing or
removing it.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Sat, 24 Jul 2010 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Sat, 24 Jul 2010 15:33:03 GMT) Full text and rfc822 format available.

Message #52 received at 587967@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 587967@bugs.debian.org
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Sat, 24 Jul 2010 17:29:46 +0200
[Message part 1 (text/plain, inline)]
On Sat, 24 Jul 2010 15:20:38 +0100, Adam D. Barratt wrote:

> > I've binNMUed gnash on amd64 to check whether it will actually build by
> > virtue of the libboost-dev final fallback build-dep.  Even if that
> > works,
> It didn't, as sbuild just tried to install libboost1.40-dev anyway...

That would have been my guess, too :)
 
> > we may end up with a choice of temporarily breaking gnash in
> > testing or removing it if icu is otherwise ready to go and gnash isn't,
> > or at least isn't on all architectures.
> ...so we're back at needing a new upload, breaking gnash in testing or
> removing it.

If it helps I can upload the package I built last week, with the
debdiff I sent to #587967.

(If you'd like me to do this please also tell me where I should
upload to, i.e. DELAYED or not, which DELAYED queue, ...)

Cheers,
gregor
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Queen: Innuendo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Sun, 25 Jul 2010 13:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Sun, 25 Jul 2010 13:57:11 GMT) Full text and rfc822 format available.

Message #57 received at 587967@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: gregor herrmann <gregoa@debian.org>
Cc: 587967@bugs.debian.org
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Sun, 25 Jul 2010 14:56:49 +0100
On Sat, 2010-07-24 at 17:29 +0200, gregor herrmann wrote:
> On Sat, 24 Jul 2010 15:20:38 +0100, Adam D. Barratt wrote:
> > > we may end up with a choice of temporarily breaking gnash in
> > > testing or removing it if icu is otherwise ready to go and gnash isn't,
> > > or at least isn't on all architectures.
> > ...so we're back at needing a new upload, breaking gnash in testing or
> > removing it.
> 
> If it helps I can upload the package I built last week, with the
> debdiff I sent to #587967.
> 
> (If you'd like me to do this please also tell me where I should
> upload to, i.e. DELAYED or not, which DELAYED queue, ...)

I'm slightly torn, to be honest.  Uploading your new package would at
least allow us to have a package in squeeze that's buildable.

On the other hand, #575089 and the lack of activity on the potentially
related upstream bug do make me wonder whether we should be releasing
with gnash anyway :-/

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Mon, 26 Jul 2010 13:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Mon, 26 Jul 2010 13:51:10 GMT) Full text and rfc822 format available.

Message #62 received at 587967@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 587967@bugs.debian.org
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Mon, 26 Jul 2010 09:48:36 -0400
[Message part 1 (text/plain, inline)]
On Sun, 25 Jul 2010 14:56:49 +0100, Adam D. Barratt wrote:

> > If it helps I can upload the package I built last week, with the
> > debdiff I sent to #587967.
> I'm slightly torn, to be honest.  Uploading your new package would at
> least allow us to have a package in squeeze that's buildable.
> On the other hand, #575089 and the lack of activity on the potentially
> related upstream bug do make me wonder whether we should be releasing
> with gnash anyway :-/

Right, #57508 is one of the reasons why I haven't uploaded to DELAYED
in the first place :)

Cheers,
gregor
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #170:  popper unable to process jumbo kernel 
[signature.asc (application/pgp-signature, inline)]

Reply sent to Miriam Ruiz <little_miry@yahoo.es>:
You have taken responsibility. (Wed, 04 Aug 2010 23:36:05 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Wed, 04 Aug 2010 23:36:05 GMT) Full text and rfc822 format available.

Message #67 received at 587967-close@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: 587967-close@bugs.debian.org
Subject: Bug#587967: fixed in gnash 0.8.7-3
Date: Wed, 04 Aug 2010 23:32:20 +0000
Source: gnash
Source-Version: 0.8.7-3

We believe that the bug you reported is fixed in the latest version of
gnash, which is due to be installed in the Debian FTP archive:

gnash-common-opengl_0.8.7-3_amd64.deb
  to main/g/gnash/gnash-common-opengl_0.8.7-3_amd64.deb
gnash-common_0.8.7-3_amd64.deb
  to main/g/gnash/gnash-common_0.8.7-3_amd64.deb
gnash-cygnal_0.8.7-3_amd64.deb
  to main/g/gnash/gnash-cygnal_0.8.7-3_amd64.deb
gnash-opengl_0.8.7-3_amd64.deb
  to main/g/gnash/gnash-opengl_0.8.7-3_amd64.deb
gnash-tools_0.8.7-3_amd64.deb
  to main/g/gnash/gnash-tools_0.8.7-3_amd64.deb
gnash_0.8.7-3.diff.gz
  to main/g/gnash/gnash_0.8.7-3.diff.gz
gnash_0.8.7-3.dsc
  to main/g/gnash/gnash_0.8.7-3.dsc
gnash_0.8.7-3_amd64.deb
  to main/g/gnash/gnash_0.8.7-3_amd64.deb
klash-opengl_0.8.7-3_amd64.deb
  to main/g/gnash/klash-opengl_0.8.7-3_amd64.deb
klash_0.8.7-3_amd64.deb
  to main/g/gnash/klash_0.8.7-3_amd64.deb
konqueror-plugin-gnash_0.8.7-3_amd64.deb
  to main/g/gnash/konqueror-plugin-gnash_0.8.7-3_amd64.deb
mozilla-plugin-gnash_0.8.7-3_amd64.deb
  to main/g/gnash/mozilla-plugin-gnash_0.8.7-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587967@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Miriam Ruiz <little_miry@yahoo.es> (supplier of updated gnash package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 04 Aug 2010 22:30:19 +0200
Source: gnash
Binary: gnash-common gnash-common-opengl gnash gnash-opengl klash klash-opengl gnash-tools gnash-cygnal mozilla-plugin-gnash konqueror-plugin-gnash
Architecture: source amd64
Version: 0.8.7-3
Distribution: unstable
Urgency: low
Maintainer: Miriam Ruiz <little_miry@yahoo.es>
Changed-By: Miriam Ruiz <little_miry@yahoo.es>
Description: 
 gnash      - free Shockwave Flash (SWF) movie player
 gnash-common - free Shockwave Flash (SWF) movie player - common files/libraries
 gnash-common-opengl - free Shockwave Flash (SWF) movie player - common files/libraries
 gnash-cygnal - free Shockwave Flash (SWF) movie player - Media server
 gnash-opengl - free Shockwave Flash (SWF) movie player
 gnash-tools - free Shockwave Flash (SWF) movie player - Command-line Tools
 klash      - free Shockwave Flash (SWF) movie player - standalone player for K
 klash-opengl - free Shockwave Flash (SWF) movie player - standalone player for K
 konqueror-plugin-gnash - free Shockwave Flash (SWF) movie player - Plugin for Konqueror
 mozilla-plugin-gnash - free Shockwave Flash (SWF) movie player - Plugin for Mozilla and
Closes: 523902 587967 590370
Changes: 
 gnash (0.8.7-3) unstable; urgency=low
 .
   [ Miriam Ruiz ]
   * Fixed dependencies so that it compiles against latest boost.
     Closes: #587967. Closes: #590370
   * Fixed problem with libtool. CLoses: #523902
   * Upgraded Standards Version from 3.8.4 to 3.9.1
Checksums-Sha1: 
 3961021c8b28ece278b90bcee74390b9e0257828 1958 gnash_0.8.7-3.dsc
 78738ad25f959eaba4d79c5df5314deaf71e07f9 37513 gnash_0.8.7-3.diff.gz
 0ba27e3130a92f611871fd5f0abb4f559a0446d1 2688360 gnash-common_0.8.7-3_amd64.deb
 e77f5fd946f950bbc12860af78d76714971ee451 2470404 gnash-common-opengl_0.8.7-3_amd64.deb
 dd0dac75adb5f9237ab3471e4dd4498173866210 159376 gnash_0.8.7-3_amd64.deb
 cf469c86ca6013bcaa5f179a6b1470e83601f1cc 195492 gnash-opengl_0.8.7-3_amd64.deb
 c6d787da6c7f501df85c8e52338a440fe4746055 161982 klash_0.8.7-3_amd64.deb
 95c66d42029878520be1d0dda9d52a4b6a09163c 197640 klash-opengl_0.8.7-3_amd64.deb
 44df3c8f034b9e7b2fd6d3e8cfa26405fb32df83 142252 gnash-tools_0.8.7-3_amd64.deb
 147399304581368072075cd152ab6f6c0d183231 159852 gnash-cygnal_0.8.7-3_amd64.deb
 efa673dc64e04248cabe29ab4e0940a5b7b62e2a 50082 mozilla-plugin-gnash_0.8.7-3_amd64.deb
 77d73eb47acf51d58a8fb0fea49907591dd32342 55662 konqueror-plugin-gnash_0.8.7-3_amd64.deb
Checksums-Sha256: 
 a7614d089f6a52edc1bebce5e0bdb0badb771c1e876316446a094c6b634a85f1 1958 gnash_0.8.7-3.dsc
 a77efb3b8bd9ce451137e200b3937bc5adef46aa193573723c4a25ff62e5d77c 37513 gnash_0.8.7-3.diff.gz
 f5dcc73503fe8544a99e4c5df31caf978d8ce1fd23cd80f6d5839d8c873edebd 2688360 gnash-common_0.8.7-3_amd64.deb
 bdfb5cc7696da992e214b4a39bc2c27ce213ddb870399af4cc4c35e31efd5b87 2470404 gnash-common-opengl_0.8.7-3_amd64.deb
 a943ff2e6e8870587206ff69621e331bd6dc368dd7a51d7be83d25e9e594f792 159376 gnash_0.8.7-3_amd64.deb
 64c111739453aaabf86c724311d49415ce77c7e6468f5302b7707e74196891a4 195492 gnash-opengl_0.8.7-3_amd64.deb
 baac5da22ea0809fbcdb4e583fe0f700b664dd42da4eb465dda2731e0a05847a 161982 klash_0.8.7-3_amd64.deb
 353dd9e1ac5c212942287da2b0d8ffd8765445ca9c968e68d1be183fe60e8f6f 197640 klash-opengl_0.8.7-3_amd64.deb
 60994bd8bc500ecb4a5fe63133ca5d45af0a218a509ce54d6ea61a2da5e44fb4 142252 gnash-tools_0.8.7-3_amd64.deb
 54e9a5428e2556e629dcf86408bee8f52097cf84df19eb970fda3fc36d5f9650 159852 gnash-cygnal_0.8.7-3_amd64.deb
 f285c6fdf6db8a1e600f064fca9bca5fc66ace506203ef01fc9c86621d51bdae 50082 mozilla-plugin-gnash_0.8.7-3_amd64.deb
 d258f2a6728ac5652dab114d0c38d5f61e3ccafcb358121979493e5718447937 55662 konqueror-plugin-gnash_0.8.7-3_amd64.deb
Files: 
 87f7aef616359d83f2ce28fbde881297 1958 utils optional gnash_0.8.7-3.dsc
 3294e55ff7b932ff81e85063504f8589 37513 utils optional gnash_0.8.7-3.diff.gz
 939ded3c7a81f53d1d0438f6bfc0c8d2 2688360 libs optional gnash-common_0.8.7-3_amd64.deb
 857e5c001fa2e9c1d6e8094ccb723a5e 2470404 libs optional gnash-common-opengl_0.8.7-3_amd64.deb
 92e2483c1442a3e84802f2ef0eba133d 159376 utils optional gnash_0.8.7-3_amd64.deb
 86bf63b8898c69dd9a8a9944a5e9697f 195492 utils optional gnash-opengl_0.8.7-3_amd64.deb
 b067210468397b940d4dbef533eb48d5 161982 utils optional klash_0.8.7-3_amd64.deb
 ebe968c52681b5d68ebdae675ec5c479 197640 utils optional klash-opengl_0.8.7-3_amd64.deb
 e69d54769359f8d2ce4d7e4c8665cda1 142252 utils optional gnash-tools_0.8.7-3_amd64.deb
 ad7eb8846dc4a518dd36a72efd3eb21f 159852 utils optional gnash-cygnal_0.8.7-3_amd64.deb
 40fd4854a53597a334fa66288c4e47c5 50082 utils optional mozilla-plugin-gnash_0.8.7-3_amd64.deb
 45502ee3c60b2e7e78e6eae7a32d4836 55662 utils optional konqueror-plugin-gnash_0.8.7-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkxZ9EcACgkQfbltLjbuCGHpnwCfUfNOzvun+xSr3mF183iukrBw
OD4AoIs4pVsR8pl3yCTk1/u3BRFi0/0W
=+Gw4
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#587967; Package gnash. (Thu, 05 Aug 2010 00:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. (Thu, 05 Aug 2010 00:03:07 GMT) Full text and rfc822 format available.

Message #72 received at 587967@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: 587967@bugs.debian.org, gregor herrmann <gregoa@debian.org>
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Thu, 5 Aug 2010 00:01:23 +0000 (GMT)
--- El sáb, 17/7/10, gregor herrmann <gregoa@debian.org> escribió:

> Some hours later the build finished, and the results look
> reasonable
> to me. I'm attaching the debdiff.
> 
> Miry, just shout if you want me to upload.

Sorry for the delay, I'm seriously overloaded these days. I've uploaded a fixed package that builds. As a newer version is about to be released, and hoping that it fixes the memory leak, I'll wait a couple of weeks and upload it. I'm really really sorry for not having replied before, thanks a lot for your offer!

Greetings,
Miry









Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Thu, 05 Aug 2010 07:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Thu, 05 Aug 2010 07:48:08 GMT) Full text and rfc822 format available.

Message #77 received at 587967@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Miriam Ruiz <little_miry@yahoo.es>, 587967@bugs.debian.org
Cc: 575089@bugs.debian.org
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Thu, 5 Aug 2010 09:42:05 +0200
[ adding #575089, the memory leak bug, to cc ]

Hi!


* Miriam Ruiz <little_miry@yahoo.es> [100805 02:01]:

> [..] As a newer version is about to be released, and hoping that it
> fixes the memory leak, I'll wait a couple of weeks and upload it.

A couple of weeks is quite a lot of time before a hopefully soon freeze.
Would you please consider to upload to experimental soonish (as
upstreams work permits to do so), so it can be tested, if the memory
leak got closed?


Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#587967; Package gnash. (Thu, 05 Aug 2010 09:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
Extra info received and forwarded to list. (Thu, 05 Aug 2010 09:54:05 GMT) Full text and rfc822 format available.

Message #82 received at 587967@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: 587967@bugs.debian.org, Alexander Reichle-Schmehl <tolimar@debian.org>
Cc: 575089@bugs.debian.org
Subject: Re: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Thu, 5 Aug 2010 09:50:29 +0000 (GMT)
--- El jue, 5/8/10, Alexander Reichle-Schmehl <tolimar@debian.org> escribió:

> * Miriam Ruiz <little_miry@yahoo.es>
> [100805 02:01]:
> 
> > [..] As a newer version is about to be released, and
> hoping that it
> > fixes the memory leak, I'll wait a couple of weeks and
> upload it.
> 
> A couple of weeks is quite a lot of time before a hopefully
> soon freeze.
> Would you please consider to upload to experimental soonish
> (as
> upstreams work permits to do so), so it can be tested, if
> the memory
> leak got closed?

Yup, of course. I'll try to upload to experimental the latest snapshot and see how it goes.

Greetings,
Miry









Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#587967; Package gnash. (Thu, 05 Aug 2010 10:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Thu, 05 Aug 2010 10:09:06 GMT) Full text and rfc822 format available.

Message #87 received at 587967@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Miriam Ruiz <little_miry@yahoo.es>, 575089@bugs.debian.org
Cc: 587967@bugs.debian.org
Subject: Re: Bug#575089: Bug#587967: gnash: unbuildable in sid, depends on removed boost1.40
Date: Thu, 5 Aug 2010 12:08:12 +0200
Hi!

* Miriam Ruiz <little_miry@yahoo.es> [100805 11:50]:

> > A couple of weeks is quite a lot of time before a hopefully
> > soon freeze.
> > Would you please consider to upload to experimental soonish
> > (as
> > upstreams work permits to do so), so it can be tested, if
> > the memory
> > leak got closed?
> Yup, of course. I'll try to upload to experimental the latest snapshot and see how it goes.

Many thanks, especially as you already wrote you don't have much time :)

Best Regards,
  Alexander




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 Sep 2010 07:36:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:46:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.